NX Open C++ Reference Guide
|
Represents a collection of Rigid Body. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Mechatronics::RigidBodyBuilder * | CreateRigidBodyBuilder (NXOpen::Mechatronics::RigidBody *rigidBody) |
Creates a Mechatronics::RigidBodyBuilder . | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::Mechatronics::RigidBody * | FindObject (const NXString &name) |
Finds the Mechatronics::RigidBody with the given name. | |
NXOpen::Mechatronics::RigidBody * | FindObject (const char *name) |
Finds the Mechatronics::RigidBody with the given name. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of Rigid Body.
To obtain an instance of this class, refer to Mechatronics::PhysicsManager
Created in NX7.5.1.
iterator NXOpen::Mechatronics::RigidBodyCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Mechatronics::RigidBodyBuilder* NXOpen::Mechatronics::RigidBodyCollection::CreateRigidBodyBuilder | ( | NXOpen::Mechatronics::RigidBody * | rigidBody | ) |
Creates a Mechatronics::RigidBodyBuilder .
rigidBody | Mechatronics::RigidBody to be edited, if NULL then create a new one |
iterator NXOpen::Mechatronics::RigidBodyCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Mechatronics::RigidBody* NXOpen::Mechatronics::RigidBodyCollection::FindObject | ( | const NXString & | name | ) |
Finds the Mechatronics::RigidBody with the given name.
An exception will be thrown if no object can be found with given name. @return @link Mechatronics::RigidBody Mechatronics::RigidBody @endlink with this name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | The name of the Mechatronics::RigidBody . |
NXOpen::Mechatronics::RigidBody* NXOpen::Mechatronics::RigidBodyCollection::FindObject | ( | const char * | name | ) |
Finds the Mechatronics::RigidBody with the given name.
An exception will be thrown if no object can be found with given name. @return @link Mechatronics::RigidBody Mechatronics::RigidBody @endlink with this name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | The name of the Mechatronics::RigidBody . |
tag_t NXOpen::Mechatronics::RigidBodyCollection::Tag | ( | ) | const |
Returns the tag of this object.